Name:		hp8753
Version:	1.22
Release:	5%{?dist}
Summary:	HP8753 Network Analyzer Companion

Group:		Applications
License:	GPL3
URL:		https://github.com/vk2bea/hp8753q
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXX)

BuildRequires:	sqlite-devel, libgs-devel, glib2-devel, gtk3-devel, linux-gpib-devel, systemd-devel
BuildRequires:  gcc

Requires:	ghostscript, glib2, gtk3, sqlite, linux-gpib, systemd-libs

%description

%global debug_package %{nil}

%prep
%setup -q
zcat $RPM_SOURCE_DIR/%{name}-%{version}.tar.gz | tar -xvf -

%build
make all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
mkdir -p $RPM_BUILD_ROOT/usr/local/share/help/C/hp8753
mkdir -p $RPM_BUILD_ROOT/usr/local/share/applications
mkdir -p $RPM_BUILD_ROOT/usr/local/share/pixmaps
mkdir -p $RPM_BUILD_ROOT/usr/local/share/fonts/hp8753

cp Release/hp8753 $RPM_BUILD_ROOT/usr/local/bin/hp8753
cp Support/hp8753.desktop $RPM_BUILD_ROOT/usr/local/share/applications/
cp Support/hp8753.svg $RPM_BUILD_ROOT/usr/local/share/pixmaps/
cp Support/NotoSansMono-Light.ttf $RPM_BUILD_ROOT/usr/local/share/fonts/hp8753
cp -r Support/Help/* $RPM_BUILD_ROOT/usr/local/share/help/C/hp8753/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
/usr/local/bin/hp8753
/usr/local/share/pixmaps/hp8753.svg
/usr/local/share/fonts/hp8753/NotoSansMono-Light.ttf
/usr/local/share/applications/hp8753.desktop
/usr/local/share/help/C/hp8753/index.page
/usr/local/share/help/C/hp8753/legal.xml
/usr/local/share/help/C/hp8753/media
/usr/local/share/help/C/hp8753/operations-cal.page
/usr/local/share/help/C/hp8753/operations-trace.page
/usr/local/share/help/C/hp8753/operations-calkit.page
/usr/local/share/help/C/hp8753/operations-projects.page
/usr/local/share/help/C/hp8753/overview.page
/usr/local/share/help/C/hp8753/starting.page
/usr/local/share/help/C/hp8753/options.page
/usr/local/share/help/C/hp8753/color.page
/usr/local/share/help/C/hp8753/media/data.png
/usr/local/share/help/C/hp8753/media/HP8753C.png
/usr/local/share/help/C/hp8753/media/HP8753-GPIBsetup.png
/usr/local/share/help/C/hp8753/media/HP8753-CalKit.png
/usr/local/share/help/C/hp8753/media/options.png
/usr/local/share/help/C/hp8753/media/setup+calibration.png
/usr/local/share/help/C/hp8753/media/trace.png
/usr/local/share/help/C/hp8753/media/project-rename.png
/usr/local/share/help/C/hp8753/media/rename.png
/usr/local/share/help/C/hp8753/media/project.png
/usr/local/share/help/C/hp8753/media/color.png

%doc

%post
fc-cache /usr/local/share/fonts/hp8753

%preun

%postun


%changelog
* Fri Aug 12 2022 - vk2bea@gmil.com
- Packaged files into RPM
